-- author: DD ModPassion
-- copyright (C): DD ModPassion, All Rights Reserved
-- version: Farming Simulator 25
EnterableAddon = {}
function EnterableAddon.prerequisitesPresent(specializations)
    return SpecializationUtil.hasSpecialization(Enterable, specializations)
end
function EnterableAddon.registerEventListeners(vehicleType)
    SpecializationUtil.registerEventListener(vehicleType, "onPostLoad", EnterableAddon)
end
function EnterableAddon:onPostLoad(savegame)
    local spec = self.spec_enterable
    local cameras = {}
    for i = 1, #spec.cameras do
        if spec.cameras[i].isInside then
            table.insert(cameras, spec.cameras[i])
        end
    end
    if #cameras > 0 then
        spec.cameras = cameras
        spec.numCameras = #spec.cameras
    end
    local spec = self.spec_enterablePassenger
    if spec ~= nil then
        for i = 1, #spec.passengerSeats do
            local camera = spec.passengerSeats[i].cameras[2]
            spec.passengerSeats[i].cameras = {}
            table.insert(spec.passengerSeats[i].cameras, camera)
        end
    end
end